import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ServiceLineWhereInputObjectSchema as ServiceLineWhereInputObjectSchema } from './ServiceLineWhereInput.schema'

const makeSchema = () => z.object({
  is: z.lazy(() => ServiceLineWhereInputObjectSchema).optional(),
  isNot: z.lazy(() => ServiceLineWhereInputObjectSchema).optional()
}).strict();
export const ServiceLineScalarRelationFilterObjectSchema: z.ZodType<Prisma.ServiceLineScalarRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineScalarRelationFilter>;
export const ServiceLineScalarRelationFilterObjectZodSchema = makeSchema();
